summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Michael Filz2010-08-24 06:26:00 +0200
committer Erik Hanson2010-08-29 22:32:12 +0200
commit6e31e025f77c090611b7fca8c6518c7c17222b94 (patch)
tree042088e9d3379aa30d41975941b49d6cf84c9dfd /office
parent6b3dcddbf803c1f7dbbd7b821b559274cd421321 (diff)
downloadslackbuilds-6e31e025f77c090611b7fca8c6518c7c17222b94.tar.gz
office/xournal: Added (note taking application)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/xournal/README7
-rw-r--r--office/xournal/doinst.sh14
-rw-r--r--office/xournal/slack-desc19
-rw-r--r--office/xournal/xournal.SlackBuild81
-rw-r--r--office/xournal/xournal.info10
5 files changed, 131 insertions, 0 deletions
diff --git a/office/xournal/README b/office/xournal/README
new file mode 100644
index 0000000000..9dfff710b5
--- /dev/null
+++ b/office/xournal/README
@@ -0,0 +1,7 @@
+Xournal is an application for notetaking, sketching, keeping a
+journal using a stylus. It is free software (GNU GPL) and runs on
+Linux (recent distributions) and other GTK+/Gnome platforms. It is
+similar to Microsoft Windows Journal or to other alternatives such as
+Jarnal and Gournal.
+
+This requires libgnomecanvas available from SlackBuilds.org.
diff --git a/office/xournal/doinst.sh b/office/xournal/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/office/xournal/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/xournal/slack-desc b/office/xournal/slack-desc
new file mode 100644
index 0000000000..487e0c5b95
--- /dev/null
+++ b/office/xournal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xournal: xournal (note taking application)
+xournal:
+xournal: Xournal is an application for notetaking, sketching, keeping a
+xournal: journal using a stylus. It is free software (GNU GPL) and runs on
+xournal: Linux (recent distributions) and other GTK+/Gnome platforms. It is
+xournal: similar to Microsoft Windows Journal or to other alternatives such as
+xournal: Jarnal and Gournal.
+xournal:
+xournal: Xournal can be downloaded at
+xournal: http://xournal.sourceforge.net/ or
+xournal: http://math.berkeley.edu/~auroux/software/xournal/
diff --git a/office/xournal/xournal.SlackBuild b/office/xournal/xournal.SlackBuild
new file mode 100644
index 0000000000..f60bca32de
--- /dev/null
+++ b/office/xournal/xournal.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for xournal
+# Written by Michael Filz <the_emmel@gmx.net>
+
+PRGNAM=xournal
+VERSION=${VERSION:-0.4.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_ml}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+make desktop-install DESTDIR=$PKG
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/xournal/xournal.info b/office/xournal/xournal.info
new file mode 100644
index 0000000000..9222db3d6c
--- /dev/null
+++ b/office/xournal/xournal.info
@@ -0,0 +1,10 @@
+PRGNAM="xournal"
+VERSION="0.4.5"
+HOMEPAGE="http://xournal.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/xournal/xournal-0.4.5.tar.gz"
+MD5SUM="795e4396ded2b67766eb2926be1fb4a9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michael Filz"
+EMAIL="the_emmel@gmx.net"
+APPROVED="dsomero"